Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 18 Apr 2023 04:55:33 +0000 (UTC)

Hi Maram Said,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear Team,

I have been following up from past 15 days for my refunds from max, but they are not helping with it.

I have called Centrepoint as well but no update received.

Order#9424602876 : Typographic Print T-shirt and Full Length Pyjama Set : This item has been returned and is at your warehouse, still I have not received the refund.

Order#9423399117 : 3 items are missing and an representative from Landmark group has visited my home as well, still I have not received the refund.

I am continously following and tired of doing it.

If this time I won't be getting any reply and refund, I have to take harsh actions and include Dubai Police as well. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6090000